Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.anim.timing
Class SyncbaseTimingSpecifier

    java.lang.Object
      org.apache.batik.anim.timing.TimingSpecifier
          org.apache.batik.anim.timing.OffsetTimingSpecifier
              org.apache.batik.anim.timing.SyncbaseTimingSpecifier

    public class SyncbaseTimingSpecifier

extends OffsetTimingSpecifier

A class to handle syncbase SMIL timing specifiers.

Field Summary
`protected HashMap` | `instances` Map of `Interval`s to an `InstanceTime`.
`protected TimedElement` | `syncbaseElement` The syncbase element.
`protected String` | `syncbaseID` The ID of the syncbase element.
`protected boolean` | `syncBegin` Whether this specifier specifies a sync to the begin or the end of the syncbase element.

Fields inherited from class org.apache.batik.anim.timing.OffsetTimingSpecifier
`offset`

Fields inherited from class org.apache.batik.anim.timing.TimingSpecifier
`isBegin, owner`

Constructor Summary
`SyncbaseTimingSpecifier(TimedElement owner, boolean isBegin, float offset, String syncbaseID, boolean syncBegin)` Creates a new SyncbaseTimingSpecifier object.

Method Summary
`void` | `initialize()` Initializes this timing specifier by adding the initial instance time to the owner's instance time list or setting up any event listeners.
`boolean` | `isEventCondition()` Returns whether this timing specifier is event-like (i.e., if it is an eventbase, accesskey or a repeat timing specifier).
`String` | `toString()` Returns a string representation of this timing specifier.

Methods inherited from class org.apache.batik.anim.timing.TimingSpecifier
`deinitialize, getOwner, isBegin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### syncbaseID

    protected String syncbaseID

  The ID of the syncbase element.

### syncbaseElement

    protected TimedElement syncbaseElement

  The syncbase element.

### syncBegin

    protected boolean syncBegin

  Whether this specifier specifies a sync to the begin or the end of the syncbase element.

### instances

    protected HashMap instances

  Map of `Interval`s to an `InstanceTime`.

Constructor Detail

### SyncbaseTimingSpecifier

    public SyncbaseTimingSpecifier(TimedElement owner,
                                   boolean isBegin,
                                   float offset,
                                   String syncbaseID,
                                   boolean syncBegin)

  Creates a new SyncbaseTimingSpecifier object.

Method Detail

### toString

    public String toString()

  Returns a string representation of this timing specifier.

  Overrides:
    `toString` in class `OffsetTimingSpecifier`

### initialize

    public void initialize()

  Initializes this timing specifier by adding the initial instance time to the owner's instance time list or setting up any event listeners.

  Overrides:
    `initialize` in class `OffsetTimingSpecifier`

### isEventCondition

    public boolean isEventCondition()

  Returns whether this timing specifier is event-like (i.e., if it is an eventbase, accesskey or a repeat timing specifier).

  Overrides:
    `isEventCondition` in class `OffsetTimingSpecifier`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.